Skip to content

Payment result asynchronous callback notification

  • Endpoint: POST /delSuffixStart12
  • Tags: Disbursement

Description

You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. You need to respond with {"bizCode":"0000","message":"success"} upon receiving the callback.

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
orderIdstringYesmaxLength: 63Merchant order ID.
tradeNostringYesmaxLength: 64PayerMax platform order number.
transactionUtcTimenumberYesTransaction UTC time.
expiryTimenumberNoThe lastest time the order can be withdrawn(appears only offline)
redeemCodestringNomaxLength: 321. FAWRY withdrawal code, 2. Carrier recharge PIN code
payFinishTimenumberNoThe time when the order succeeds or fails, only exists when the order reaches its final state.
bounceBackTimenumberNoThe time when the order bounced back(only appears in bounceback state)
statusnumberYesDisbursement status: 1- success, 2-failure,3-pending,4-bounceback
subStatusstringNoTransaction sub-status. When the transaction status of an order is PENDING,PayerMax provides sub-statuses to display the transaction processing progress. For specific enumeration values, please refer to:【Transaction Sub-Status Introduction】. If not returned, please contact technical support for an upgrade.
destinationstringYesmaxLength: 512Payee information(user)
sourcestringYesmaxLength: 512Trade information
debitstringYesmaxLength: 512Payer information(Merchant)
passBackParamsstringNoA pass-through parameter, which will be returned the same in the notification callback API. This field is primarily to hold customized data from merchant.
responseCodestringYesBusiness response code
responseMsgstringYesBusiness response message
fundsFreezeTimestringNoFund transfer time, comply with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss Z, the callback version needs to be upgraded to 3.0 to have this field. If necessary, you can contact PayerMax technical support for adjustment.
fundsReturnTimestringNoFund return time, comply with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss Z, the callback version needs to be upgraded to 3.0 to have this field. If necessary, you can contact PayerMax technical support for adjustment.
additionalIdentifierstringNoAdditional transaction information, the callback version needs to be upgraded to 4.0 to have this field. If necessary, you can contact PayerMax technical support for adjustment.

Example

json
{
  "transactionUtcTime": 1639483946000,
  "tradeNo": "WD20211233121226853860998",
  "orderId": "dev_1639483346",
  "payFinishTime": 1639483970000,
  "destination": "{\"amount\":\"14551.00\",\"currency\":\"IDR\",\"exchangeRate\":\"14551.3328650147\",\"fee\":\"0.00\",\"feeCurrency\":\"IDR\",\"tax\":\"0.00\",\"taxCurrency\":\"IDR\"}",
  "source": "{\"amount\":\"1.00\",\"currency\":\"USD\"}",
  "debit": "{\"amount\":\"14551.00\",\"currency\":\"IDR\",\"exchangeRate\":\"14551.3328650147\",\"fee\":\"0.00\",\"feeCurrency\":\"USD\",\"tax\":\"0.00\",\"taxCurrency\":\"USD\"}",
  "passBackParams": "this is passBackParams",
  "fundsFreezeTime": "2024-04-17T06:35:09 +0000",
  "fundsReturnTime": "2024-04-18T07:13:01 +0000",
  "additionalIdentifier": "{\"referenceId\":\"2024041710121481030100166528590615003\"}",
  "status": 1
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 6Interface response code.
messagestringNomaxLength: 32Interface response message.

Response Example: 1

成功示例

json
{
  "bizCode": "0000",
  "message": "success"
}

Response Example: 2

异常示例

json
{
  "msg": "System is busy, please try again later.",
  "code": "SYSTEM_ERROR"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.